cgGetTechniqueEffect(3)

NAME
cgGetTechniqueEffect - get a technique's effect

SYNOPSIS
  #include <Cg/cg.h>
  CGeffect cgGetTechniqueEffect( CGtechnique tech );

PARAMETERS

tech
    The technique.

RETURN VALUES
Returns a CGeffect handle to the effect.

Returns NULL if an error occurs.

DESCRIPTION
cgGetTechniqueEffect allows the application to retrieve a handle to the effect to which a given technique belongs.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

HISTORY
cgGetTechniqueEffect was introduced in Cg 1.4.

SEE ALSO
the cgCreateEffect manpage, the cgCreateEffectFromFile manpage